complexType "CollateralRetractionReason"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (reasonCode, description?) | description
</...>

Content Model Elements (3):

  description (defined in CollateralRetractionReason complexType),
  description (defined in CollateralRetractionReason complexType),
  reasonCode (defined in CollateralRetractionReason complexType)

All Direct / Indirect Based Elements (7):

  collateralRetractionReason (in disputeRetracted),
  collateralRetractionReason (in interestStatusRetracted),
  collateralRetractionReason (in marginCallStatusRetracted),
  collateralRetractionReason (in requestInterestRetracted),
  collateralRetractionReason (in requestMarginRetracted),
  collateralRetractionReason (in requestSubstitutionRetracted),
  collateralRetractionReason (in substitutionStatusRetracted)

Known Usage Locations

- As direct type of elements (7):
  collateralRetractionReason (in disputeRetracted),
  collateralRetractionReason (in interestStatusRetracted),
  collateralRetractionReason (in marginCallStatusRetracted),
  collateralRetractionReason (in requestInterestRetracted),
  collateralRetractionReason (in requestMarginRetracted),
  collateralRetractionReason (in requestSubstitutionRetracted),
  collateralRetractionReason (in substitutionStatusRetracted)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CollateralRetractionReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="CollateralRetractionReasonCode"/> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
description

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

description

  Type: | xsd:string, predefined, simple content

  free form description of the reason
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="description" type="xsd:string"/>

reasonCode

  Type: | CollateralRetractionReasonCode, simple content

  reason codes that specify the reason for retraction
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="reasonCode" type="CollateralRetractionReasonCode"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.